=== Makefile ===
VERSION=2.0.11

BUILD_CONFIG=release link=shared crypto=openssl warnings=off address-model=64

ifeq (${PREFIX},)
PREFIX=/usr/local/
endif

ALL: FORCE
	BOOST_ROOT="" b2 ${BUILD_CONFIG}

python-binding: FORCE
	(cd bindings/python; BOOST_ROOT="" b2 ${BUILD_CONFIG} stage_module stage_dependencies)

examples: FORCE
	(cd examples; BOOST_ROOT="" b2 ${BUILD_CONFIG} stage_client_test stage_connection_tester)

tools: FORCE
	(cd tools; BOOST_ROOT="" b2 ${BUILD_CONFIG})

install: FORCE
	BOOST_ROOT="" b2 ${BUILD_CONFIG} install --prefix=${PREFIX}

sim: FORCE
	(cd simulation; BOOST_ROOT="" b2 $(filter-out crypto=openssl,${BUILD_CONFIG}) crypto=built-in)

check: FORCE
	(cd test; BOOST_ROOT="" b2 crypto=openssl warnings=off)

clean: FORCE
	rm -rf \
    bin \
    examples/bin \
    tools/bin \
    bindings/python/bin \
    test/bin \
    simulation/bin \
    simulator/libsimulator/bin

DOCS_IMAGES = \
  docs/img/screenshot.png             \
  docs/img/screenshot_thumb.png       \
  docs/img/cwnd.png                   \
  docs/img/cwnd_thumb.png             \
  docs/img/delays.png                 \
  docs/img/delays_thumb.png           \
  docs/img/our_delay_base.png         \
  docs/img/our_delay_base_thumb.png   \
  docs/img/read_disk_buffers.png      \
  docs/img/read_disk_buffers.diagram  \
  docs/img/storage.png                \
  docs/img/write_disk_buffers.png     \
  docs/img/write_disk_buffers.diagram \
  docs/img/ip_id_v4.png               \
  docs/img/ip_id_v6.png               \
  docs/img/hash_distribution.png      \
  docs/img/complete_bit_prefixes.png  \
  docs/img/troubleshooting.dot        \
  docs/img/troubleshooting.png        \
  docs/img/troubleshooting_thumb.png  \
  docs/img/hacking.diagram            \
  docs/img/hacking.png                \
  docs/img/utp_stack.diagram          \
  docs/img/utp_stack.png              \
  docs/img/bitcoin.png                \
  docs/img/logo-color-text.png        \
  docs/img/pp-acceptance-medium.png   \
  docs/style.css

DOCS_PAGES = \
  docs/building.html              \
  docs/client_test.html           \
  docs/contributing.html          \
  docs/dht_extensions.html        \
  docs/dht_rss.html               \
  docs/dht_sec.html               \
  docs/dht_store.html             \
  docs/examples.html              \
  docs/extension_protocol.html    \
  docs/features-ref.html          \
  docs/index.html                 \
  docs/manual-ref.html            \
  docs/projects.html              \
  docs/python_binding.html        \
  docs/tuning-ref.html            \
  docs/settings.rst               \
  docs/stats_counters.rst         \
  docs/troubleshooting.html       \
  docs/udp_tracker_protocol.html  \
  docs/utp.html                   \
  docs/streaming.html             \
  docs/building.rst               \
  docs/client_test.rst            \
  docs/contributing.rst           \
  docs/dht_extensions.rst         \
  docs/dht_rss.rst                \
  docs/dht_sec.rst                \
  docs/dht_store.rst              \
  docs/examples.rst               \
  docs/extension_protocol.rst     \
  docs/features.rst               \
  docs/index.rst                  \
  docs/manual.rst                 \
  docs/manual-ref.rst             \
  docs/projects.rst               \
  docs/python_binding.rst         \
  docs/tuning.rst                 \
  docs/troubleshooting.rst        \
  docs/udp_tracker_protocol.rst   \
  docs/utp.rst                    \
  docs/streaming.rst              \
  docs/tutorial.rst               \
  docs/tutorial-ref.rst           \
  docs/header.rst                 \
  docs/hacking.rst                \
  docs/hacking.html               \
  docs/todo.html                  \
  docs/tutorial-ref.html          \
  docs/upgrade_to_1.2-ref.html    \
  docs/upgrade_to_2.0-ref.html    \
  docs/security-audit.html        \
  docs/reference.html             \
  docs/reference-Core.html        \
  docs/reference-DHT.html         \
  docs/reference-Session.html     \
  docs/reference-Torrent_Handle.html \
  docs/reference-Torrent_Info.html \
  docs/reference-Trackers.html   \
  docs/reference-PeerClass.html  \
  docs/reference-Torrent_Status.html \
  docs/reference-Stats.html      \
  docs/reference-Resume_Data.html \
  docs/reference-Add_Torrent.html \
  docs/reference-Plugins.html    \
  docs/reference-Create_Torrents.html \
  docs/reference-Error_Codes.html \
  docs/reference-Storage.html    \
  docs/reference-Custom_Storage.html \
  docs/reference-Utility.html    \
  docs/reference-Bencoding.html  \
  docs/reference-Alerts.html     \
  docs/reference-Filter.html     \
  docs/reference-Settings.html   \
  docs/reference-Bdecoding.html  \
  docs/reference-ed25519.html    \
  docs/single-page-ref.html

ED25519_SOURCE = \
  fe.h \
  fixedint.h \
  ge.h \
  precomp_data.h \
  sc.h \
  add_scalar.cpp \
  fe.cpp \
  ge.cpp \
  key_exchange.cpp \
  keypair.cpp \
  sc.cpp \
  sign.cpp \
  verify.cpp \
  sha512.cpp \
  hasher512.cpp \

EXTRA_DIST = \
  Jamfile \
  Jamroot.jam \
  project-config.jam \
  Makefile \
  CMakeLists.txt \
  cmake/Modules/FindLibGcrypt.cmake \
  cmake/Modules/GeneratePkgConfig.cmake \
  cmake/Modules/ucm_flags.cmake \
  cmake/Modules/LibtorrentMacros.cmake \
  cmake/Modules/GeneratePkgConfig/generate-pkg-config.cmake.in \
  cmake/Modules/GeneratePkgConfig/pkg-config.cmake.in \
  cmake/Modules/GeneratePkgConfig/target-compile-settings.cmake.in \
  LibtorrentRasterbarConfig.cmake.in \
  bindings/CMakeLists.txt \
  setup.py \
  LICENSE \
  src/ed25519/LICENSE \
  COPYING \
  AUTHORS \
  NEWS \
  README.rst \
  ChangeLog \
  $(DOCS_PAGES) \
  $(DOCS_IMAGES)

PYTHON_FILES= \
  CMakeLists.txt            \
  Jamfile                   \
  client.py                 \
  make_torrent.py           \
  setup.py                  \
  setup.py.cmake.in         \
  simple_client.py          \
  src/alert.cpp             \
  src/boost_python.hpp      \
  src/bytes.hpp             \
  src/converters.cpp        \
  src/create_torrent.cpp    \
  src/datetime.cpp          \
  src/entry.cpp             \
  src/error_code.cpp        \
  src/fingerprint.cpp       \
  src/gil.hpp               \
  src/ip_filter.cpp         \
  src/load_torrent.cpp      \
  src/magnet_uri.cpp        \
  src/module.cpp            \
  src/optional.hpp          \
  src/peer_info.cpp         \
  src/session.cpp           \
  src/session_settings.cpp  \
  src/sha1_hash.cpp         \
  src/sha256_hash.cpp       \
  src/info_hash.cpp         \
  src/string.cpp            \
  src/torrent_handle.cpp    \
  src/torrent_info.cpp      \
  src/torrent_status.cpp    \
  src/utility.cpp           \
  src/version.cpp

EXAMPLE_FILES= \
  CMakeLists.txt \
  Jamfile \
  bt-get.cpp \
  bt-get2.cpp \
  bt-get3.cpp \
  check_files.cpp \
  client_test.cpp \
  cmake/FindLibtorrentRasterbar.cmake \
  connection_tester.cpp \
  dump_torrent.cpp \
  dump_bdecode.cpp \
  magnet2torrent.cpp \
  make_torrent.cpp \
  print.cpp \
  print.hpp \
  session_view.cpp \
  session_view.hpp \
  simple_client.cpp \
  custom_storage.cpp \
  stats_counters.cpp \
  torrent2magnet.cpp \
  torrent_view.cpp \
  torrent_view.hpp \
  upnp_test.cpp

TOOLS_FILES= \
  CMakeLists.txt         \
  Jamfile                \
  dht_put.cpp            \
  dht_sample.cpp         \
  disk_io_stress_test.cpp\
  parse_dht_log.py       \
  parse_dht_rtt.py       \
  parse_dht_stats.py     \
  parse_peer_log.py      \
  parse_sample.py        \
  parse_session_stats.py \
  parse_utp_log.py       \
  session_log_alerts.cpp

KADEMLIA_SOURCES = \
  dht_settings.cpp     \
  dht_state.cpp        \
  dht_storage.cpp      \
  dht_tracker.cpp      \
  dos_blocker.cpp      \
  ed25519.cpp          \
  find_data.cpp        \
  get_item.cpp         \
  get_peers.cpp        \
  item.cpp             \
  msg.cpp              \
  node.cpp             \
  node_entry.cpp       \
  node_id.cpp          \
  put_data.cpp         \
  refresh.cpp          \
  routing_table.cpp    \
  rpc_manager.cpp      \
  sample_infohashes.cpp \
  traversal_algorithm.cpp

SOURCES = \
  add_torrent_params.cpp          \
  alert.cpp                       \
  alert_manager.cpp               \
  announce_entry.cpp              \
  assert.cpp                      \
  bandwidth_limit.cpp             \
  bandwidth_manager.cpp           \
  bandwidth_queue_entry.cpp       \
  bdecode.cpp                     \
  bitfield.cpp                    \
  bloom_filter.cpp                \
  bt_peer_connection.cpp          \
  chained_buffer.cpp              \
  choker.cpp                      \
  close_reason.cpp                \
  copy_file.cpp                   \
  cpuid.cpp                       \
  crc32c.cpp                      \
  create_torrent.cpp              \
  directory.cpp                   \
  disabled_disk_io.cpp            \
  disk_buffer_holder.cpp          \
  disk_buffer_pool.cpp            \
  disk_interface.cpp              \
  disk_io_thread_pool.cpp         \
  disk_job_fence.cpp              \
  disk_job_pool.cpp               \
  drive_info.cpp                  \
  entry.cpp                       \
  enum_net.cpp                    \
  error_code.cpp                  \
  escape_string.cpp               \
  ffs.cpp                         \
  file.cpp                        \
  file_progress.cpp               \
  file_storage.cpp                \
  file_view_pool.cpp              \
  fingerprint.cpp                 \
  generate_peer_id.cpp            \
  gzip.cpp                        \
  hash_picker.cpp                 \
  hasher.cpp                      \
  hex.cpp                         \
  http_connection.cpp             \
  http_parser.cpp                 \
  http_seed_connection.cpp        \
  http_tracker_connection.cpp     \
  i2p_stream.cpp                  \
  identify_client.cpp             \
  instantiate_connection.cpp      \
  ip_filter.cpp                   \
  ip_helpers.cpp                  \
  ip_notifier.cpp                 \
  ip_voter.cpp                    \
  listen_socket_handle.cpp        \
  load_torrent.cpp                \
  lsd.cpp                         \
  magnet_uri.cpp                  \
  merkle.cpp                      \
  merkle_tree.cpp                 \
  mmap.cpp                        \
  mmap_disk_io.cpp                \
  mmap_disk_job.cpp               \
  mmap_storage.cpp                \
  natpmp.cpp                      \
  packet_buffer.cpp               \
  parse_url.cpp                   \
  part_file.cpp                   \
  path.cpp                        \
  pe_crypto.cpp                   \
  peer_class.cpp                  \
  peer_class_set.cpp              \
  peer_connection.cpp             \
  peer_connection_handle.cpp      \
  peer_info.cpp                   \
  peer_list.cpp                   \
  performance_counters.cpp        \
  piece_picker.cpp                \
  platform_util.cpp               \
  posix_disk_io.cpp               \
  posix_part_file.cpp             \
  posix_storage.cpp               \
  proxy_base.cpp                  \
  proxy_settings.cpp              \
  puff.cpp                        \
  random.cpp                      \
  read_resume_data.cpp            \
  receive_buffer.cpp              \
  request_blocks.cpp              \
  resolve_links.cpp               \
  resolver.cpp                    \
  session.cpp                     \
  session_call.cpp                \
  session_handle.cpp              \
  session_impl.cpp                \
  session_params.cpp              \
  session_settings.cpp            \
  session_stats.cpp               \
  settings_pack.cpp               \
  sha1.cpp                        \
  sha1_hash.cpp                   \
  sha256.cpp                      \
  smart_ban.cpp                   \
  socket_io.cpp                   \
  socket_type.cpp                 \
  socks5_stream.cpp               \
  ssl.cpp                         \
  stack_allocator.cpp             \
  stat.cpp                        \
