=== bindings/CMakeLists.txt ===
if (python-bindings)
	add_subdirectory(python)
endif()
