=== debian/changelog ===
libtorrent-rasterbar (2.0.11-3) unstable; urgency=medium

  * Add libboost-dev as dependency for libtorrent-rasterbar-dev
    (Closes: #1127426)

 -- Christian Marillat <marillat@debian.org>  Mon, 09 Feb 2026 00:57:45 +0100

libtorrent-rasterbar (2.0.11-2) unstable; urgency=medium

  * Remove libboost-system-dev from Build-Depends and from
    libtorrent-rasterbar-dev Dependency (Closes: #1127230)

 -- Christian Marillat <marillat@debian.org>  Fri, 06 Feb 2026 18:47:00 +0100

libtorrent-rasterbar (2.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Should Build-Depends on a versioned libboost-system-dev '>= 1.81'

 -- Christian Marillat <marillat@debian.org>  Tue, 28 Jan 2025 15:33:12 +0100
