=== debian/control ===
Source: libtorrent-rasterbar
Section: libs
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://libtorrent.org/
Standards-Version: 4.7.2
Build-Depends-Indep: python3-docutils, python3-pygments, python3-aafigure,
 graphviz, imagemagick, python3-sphinxcontrib.svg2pdfconverter, icoutils
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3-dev,
 dh-sequence-python3, libssl-dev, pkgconf, cmake, ninja-build,
 python3-setuptools, libboost-python-dev,

Package: libtorrent-rasterbar2.0t64
Provides: ${t64:Provides}
Replaces: libtorrent-rasterbar2.0,
Breaks: libtorrent-rasterbar2.0 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: C++ bittorrent library by Rasterbar Software
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains libtorrent-rasterbar run time shared library.

Package: libtorrent-rasterbar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtorrent-rasterbar2.0t64 (= ${binary:Version}), libssl-dev, pkgconf, libboost-dev,
Suggests: libtorrent-rasterbar-doc,
Description: Development files for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains header files and static version of the library.

Package: libtorrent-rasterbar-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains documentation and example files.

Package: python3-libtorrent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Python bindings for libtorrent-rasterbar (Python 3)
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python 3 bindings for the libtorrent-rasterbar library.
